com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.close_args

- java.lang.Object
- - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.close_args

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ThriftFlumeEventServer.close_args>, org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>
  Enclosing class:
    ThriftFlumeEventServer

      public static class ThriftFlumeEventServer.close_args
      extends Object
      implements org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>, Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftFlumeEventServer.close_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ThriftFlumeEventServer.close_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.close_args()`
    `ThriftFlumeEventServer.close_args(ThriftFlumeEventServer.close_args other)` Performs a deep copy on other.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ThriftFlumeEventServer.close_args other)`
    `ThriftFlumeEventServer.close_args` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(ThriftFlumeEventServer.close_args that)`
    `ThriftFlumeEventServer.close_args._Fields` | `fieldForId(int fieldId)`
    `Object` | `getFieldValue(ThriftFlumeEventServer.close_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(ThriftFlumeEventServer.close_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(ThriftFlumeEventServer.close_args._Fields field, Object value)`
    `String` | `toString()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ThriftFlumeEventServer.close_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ThriftFlumeEventServer.close_args

          public ThriftFlumeEventServer.close_args()

    - #### ThriftFlumeEventServer.close_args

          public ThriftFlumeEventServer.close_args(ThriftFlumeEventServer.close_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ThriftFlumeEventServer.close_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### setFieldValue

          public void setFieldValue(ThriftFlumeEventServer.close_args._Fields field,
                           Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ThriftFlumeEventServer.close_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### isSet

          public boolean isSet(ThriftFlumeEventServer.close_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ThriftFlumeEventServer.close_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ThriftFlumeEventServer.close_args other)

      Specified by:
        `compareTo` in interface `Comparable<ThriftFlumeEventServer.close_args>`

    - #### fieldForId

          public ThriftFlumeEventServer.close_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<ThriftFlumeEventServer.close_args,ThriftFlumeEventServer.close_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.